# markdown-to-leanpub-highlight

In order to run this script, you need to have [Node.js](https://nodejs.org/en/download/) installed on your computer.
You can check whether it's installed by running `node -v`.

## Installation

```bash
npm install -g markdown-to-leanpub-highlight
```

## Usage

Run the following commands in your terminal application

```bash
markdown-to-leanpub-highlight [encode|decode] <input> <output>
    encode - convert markdown to leanpub format
    decode - convert leanpub to markdown format
    input  - input file or directory
    output - output file or directory (will be overwritten)
```

### Converting from markdown to leanpub

```bash
node index encode index.md outputfile.md
```

### Converting from leanpub to markdown

```bash
node index decode index.md outputfile.md
```
